<?php
	/*
	This file is part of YAPB Bulk Uploader.

    'YAPB Bulk Uploader' is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    'YAPB Bulk Uploader' is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with 'YAPB Bulk Uploader'.  If not, see <http://www.gnu.org/licenses/>.
	
	Note that this software makes use of other libraries that are published under their own
	license. This program in no way tends to violate the licenses under which these 
	libraries are published.
	
	*/ 
?>

<script type="text/javascript">
SWFUpload.onload = function() 
{
	ybu_swfu = new SWFUpload({
			button_text: '<p class="button"><?php _e("Select Files"); ?></p>',
			button_text_style: '.button {font-family: "Lucida Grande", Verdana, Arial, "BitStream Vera Sans", sans-serif; font-size: 13px; margin: 0px; padding: 0px}',
			button_height: '22',
			button_width: '<?php echo 13 * strlen(_("Select Files")) ?>',
			button_image_url: "",
			button_placeholder_id: "ybu_upload_button",
			upload_url : "<?php echo plugins_url('ybu_upload.php', __FILE__); ?>",
			flash_url : "<?php echo includes_url('js/swfupload/swfupload.swf'); ?>",
			file_post_name: "yapb_imageupload",
			file_types: "*.jpg;*.gif;*.png",
			post_params : {
				"auth_cookie" : "<?php if ( is_ssl() ) echo $_COOKIE[SECURE_AUTH_COOKIE]; else echo $_COOKIE[AUTH_COOKIE]; ?>",
				"_wpnonce" : '<?php echo wp_create_nonce("yapb-upload"); ?>'
			},
			file_size_limit : "<?php echo wp_max_upload_size(); ?>b",

			file_queued_handler : ybu_fileQueued,
			upload_start_handler : ybu_uploadStart,
			upload_progress_handler : ybu_uploadProgress,
			upload_error_handler : ybu_uploadError,
			upload_success_handler : ybu_uploadSuccess,
			upload_complete_handler: ybu_uploadComplete,
			file_dialog_complete_handler : ybu_fileDialogComplete,
			
			debug: false
		});
};

</script>

<div class="wrap">

    <h2>Upload YAPB images</h2>
	<form id="ybu_upload_form">
		<table class="form-table">
            <tr valign="top">
            	<th scope="row"><?php _e('EXIF/IPTC') ?></th>
                <td>
                    
                    <input type="checkbox" name="ybu_exifdate" id="ybu_exifdate" value="1" <?php checked('1',get_option("yapb_check_post_date_from_exif")); ?> />
                    <label for='ybu_exifdate'>Use EXIF date as post date</label>
                    
                    <br/>
                    
                    <input type="checkbox" name="ybu_iptc" id="ybu_iptc" value="1" <?php checked('1',get_option("ybu_iptc_checked")); ?> />
                    <label for='ybu_iptc'>Use IPTC data to set post title, content and tags</label>
                    
                </td>
            </tr>
            <tr valign="top">
            	<th scope="row"><?php _e('Select Category') ?></th>
                <td>
					<?php wp_dropdown_categories(array('selected'=>(get_option("yapb_default_post_category_activate") ? get_option("yapb_default_post_category") : get_option('default_category')), 'hide_empty'=>0, 'name'=>'ybu_category')); ?>
                </td>
            </tr>
            <tr valign="top">
            	<th scope="row"><?php _e('Select Author') ?></th>
                <td>
					<?php wp_dropdown_users(array('name'=>'ybu_user')); ?>
                </td>
            </tr>
            <tr valign="top">
                <td>
                     <div class="buttons">
                     	<button class="button">
           				 <div id="ybu_upload_button"><?php _e('Select Files') ?></div>
           				</button>
           			 </div>
       				
                </td>
            </tr>
        </table>
	</form>
	
	<div id="ybu_progress" style="visibility: hidden">
		<h2>Upload Progress</h2>
		<UL id="ybu_progress_list"></UL>
	</div>
</div>
	
